import request from '@/utils/request'

// 查询邮件模板列表
export function listEmailTemplates(query) {
  return request({
    url: '/iscs/template/getIsMailTemplatePage',
    method: 'get',
    params: query
  })
}


// 查询邮件模板详细
export function getEmailTemplatesInfo(templateId) {
  return request({
    url: '/iscs/template/selectIsMailTemplateById?templateId=' + templateId,
    method: 'get'
  })
}


// 新增邮件模板
export function addEmailTemplates(data) {
  return request({
    url: '/iscs/template/insertIsMailTemplate',
    method: 'post',
    data: data
  })
}

// 修改邮件模板
export function updateEmailTemplates(data) {
  return request({
    url: '/iscs/template/updateIsMailTemplate',
    method: 'post',
    data: data
  })
}

// 删除邮件模板
export function delEmailTemplates(templateIds) {
  return request({
    url: '/iscs/template/deleteIsMailTemplateByTemplateCodes?templateIds=' + templateIds,
    method: 'post'
  })
}

